Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.war.action
Class FileResourceAction

    java.lang.Object
      org.springframework.webflow.action.AbstractAction
          org.springframework.webflow.action.MultiAction
              org.springframework.webflow.action.FormAction
                  com.jaspersoft.jasperserver.war.action.FileResourceAction

All Implemented Interfaces:
  org.springframework.beans.factory.InitializingBean, org.springframework.webflow.execution.Action

    public class FileResourceAction

extends org.springframework.webflow.action.FormAction

Nested Class Summary

Nested classes/interfaces inherited from class org.springframework.webflow.action.MultiAction
`org.springframework.webflow.action.MultiAction.MethodResolver`

Field Summary
`protected static java.lang.String` | `CONSTANTS_KEY`
`protected static java.lang.String` | `FORM_OBJECT_KEY`
`protected org.apache.commons.logging.Log` | `log`
`protected static java.lang.String` | `PARENT_FOLDER_ATTR`
`protected RepositoryService` | `repository`

Fields inherited from class org.springframework.webflow.action.FormAction
`DEFAULT_FORM_OBJECT_NAME, VALIDATOR_METHOD_ATTRIBUTE`

Fields inherited from class org.springframework.webflow.action.AbstractAction
`logger`

Constructor Summary
`FileResourceAction()`

Method Summary
`java.lang.Object` | `createFormObject(org.springframework.webflow.execution.RequestContext context)`
`org.springframework.webflow.execution.Event` | `determineType(org.springframework.webflow.execution.RequestContext context)`
`protected void` | `doBind(org.springframework.webflow.execution.RequestContext context, org.springframework.validation.DataBinder binder)`
`protected void` | `getAllFolders(FileResourceWrapper wrapper)`
`ConfigurationBean` | `getConfiguration()`
`static java.lang.String` | `getFORM_OBJECT_KEY()`
`RepositoryService` | `getRepository()` Gets the repository service instance
`org.springframework.webflow.execution.Event` | `initAction(org.springframework.webflow.execution.RequestContext context)`
`protected void` | `initBinder(org.springframework.webflow.execution.RequestContext context, org.springframework.validation.DataBinder binder)` Registers a byte array editor to allow spring handle File uploads as byte arrays
`protected void` | `log(java.lang.String text)`
`org.springframework.webflow.execution.Event` | `saveResource(org.springframework.webflow.execution.RequestContext context)` Saves the changes made in alone mode back to repository
`void` | `setConfiguration(ConfigurationBean configuration)`
`void` | `setRepository(RepositoryService repository)` Sets the Repository service instace, necessary to allow Spring inject the instance of Repository service
`org.springframework.webflow.execution.Event` | `setupNamingForm(org.springframework.webflow.execution.RequestContext context)`

Methods inherited from class org.springframework.webflow.action.FormAction
`bind, bindAndValidate, createBinder, doValidate, getFormErrors, getFormErrorsScope, getFormObject, getFormObjectAccessor, getFormObjectClass, getFormObjectName, getFormObjectScope, getMessageCodesResolver, getPropertyEditorRegistrar, getValidateMethodInvoker, getValidator, initAction, registerPropertyEditors, registerPropertyEditors, resetForm, setFormErrorsScope, setFormObjectClass, setFormObjectName, setFormObjectScope, setMessageCodesResolver, setPropertyEditorRegistrar, setupForm, setValidator, validate, validationEnabled`

Methods inherited from class org.springframework.webflow.action.MultiAction
`doExecute, getMethodResolver, setMethodResolver, setTarget`

Methods inherited from class org.springframework.webflow.action.AbstractAction
`afterPropertiesSet, doPostExecute, doPreExecute, error, error, execute, getActionNameForLogging, getEventFactorySupport, no, result, result, result, result, success, success, yes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.springframework.beans.factory.InitializingBean
`afterPropertiesSet`

Field Detail

### log

    protected final org.apache.commons.logging.Log log

### FORM_OBJECT_KEY

    protected static final java.lang.String FORM_OBJECT_KEY

See Also:
  Constant Field Values

### PARENT_FOLDER_ATTR

    protected static final java.lang.String PARENT_FOLDER_ATTR

See Also:
  Constant Field Values

### CONSTANTS_KEY

    protected static final java.lang.String CONSTANTS_KEY

See Also:
  Constant Field Values

### repository

    protected RepositoryService repository

Constructor Detail

### FileResourceAction

    public FileResourceAction()

Method Detail

### initAction

    public org.springframework.webflow.execution.Event initAction(org.springframework.webflow.execution.RequestContext context)
                                                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getAllFolders

    protected void getAllFolders(FileResourceWrapper wrapper)

### determineType

    public org.springframework.webflow.execution.Event determineType(org.springframework.webflow.execution.RequestContext context)
                                                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### setupNamingForm

    public org.springframework.webflow.execution.Event setupNamingForm(org.springframework.webflow.execution.RequestContext context)
                                                                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### saveResource

    public org.springframework.webflow.execution.Event saveResource(org.springframework.webflow.execution.RequestContext context)
                                                             throws java.lang.Exception

  Saves the changes made in alone mode back to repository

  Parameters:
    `context` -
  Returns:
  Throws:
    `java.lang.Exception`

### createFormObject

    public java.lang.Object createFormObject(org.springframework.webflow.execution.RequestContext context)

  Overrides:
    `createFormObject` in class `org.springframework.webflow.action.FormAction`

### getRepository

    public RepositoryService getRepository()

  Gets the repository service instance

  Returns:

### setRepository

    public void setRepository(RepositoryService repository)

  Sets the Repository service instace, necessary to allow Spring inject the instance of Repository service

  Parameters:
    `repository` -

### getConfiguration

    public ConfigurationBean getConfiguration()

### setConfiguration

    public void setConfiguration(ConfigurationBean configuration)

### initBinder

    protected void initBinder(org.springframework.webflow.execution.RequestContext context,
                              org.springframework.validation.DataBinder binder)

  Registers a byte array editor to allow spring handle File uploads as byte arrays

  Overrides:
    `initBinder` in class `org.springframework.webflow.action.FormAction`

### log

    protected void log(java.lang.String text)

### getFORM_OBJECT_KEY

    public static java.lang.String getFORM_OBJECT_KEY()

### doBind

    protected void doBind(org.springframework.webflow.execution.RequestContext context,
                          org.springframework.validation.DataBinder binder)

  Overrides:
    `doBind` in class `org.springframework.webflow.action.FormAction`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.